Bug 140438 - Missing kernel-source-2.6.9-1.667.i386.rpm
Missing kernel-source-2.6.9-1.667.i386.rpm
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-22 16:41 EST by Erich Schwarz
Modified: 2015-01-04 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-22 17:51:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Erich Schwarz 2004-11-22 16:41:54 EST
Description of problem:

Fedora Core 3 does not provide kernel source code as an RPM (such as
"kernel-source-2.6.9-1.667.i386.rpm").  This doesn't immediately
cripple the distribution, but will be a real problem for anybody who
needs to compile new modules!

Version-Release number of selected component (if applicable):


How reproducible:

Examine existing RPMs in Fedora Core 3 at

http://download.fedora.redhat.com/pub/fedora/linux/core/3/i386/os/Fedora/RPMS/

Steps to Reproduce:
1. Go to site!
  
Actual results:

There is no kernel-source*.rpm file.

Expected results:

There should be such a file.

Additional info:

(none)
Comment 1 Dave Jones 2004-11-22 17:51:47 EST
please read the FC3 release notes.
Comment 2 Erich Schwarz 2004-11-22 19:49:35 EST
OK.  Thanks.

Future people asking about this should find this advice on bugzilla,
and thus not have to ask again (I checked for any mention of this on
bugzilla before asking...)
Comment 3 Nicolas Simonds 2005-01-06 14:05:49 EST
At the risk of speaking out of turn, I'd like to propose adding a couple of "Provides:" to the 
kernel RPM spec so that installing the kernel gets you kernel-source and kernel-
sourcecode, in name if not in fact.

The benefit to doing this is that any packages that depend on kernel-source* (third-party 
RPMs and the like) will still install and work properly without needing to be forced, and 
people will stop bugging you for packages that you no longer intend to provide.

Also, it's a trivially simple fix, so my my lights it's a win-win-win.  :)

Note You need to log in before you can comment on or make changes to this bug.